#  ICBM_mother_sim_4.R ollexxl@live.se 20131012
# found error re should not be divided by day - kY and Ko shall be
# v. 4 Made Outdata set and cleaned up figs TODO make a function of loop?
# Put dates on xaxis instead of Day, defined as.Date in reading in
# v.3 Read infile with one year of varying re
# v. 2 20130509 With new iter variable and example on changing re
# ICBM as simulation with driving variables


News=read.table("Ult1970.txt")#Read the infile
 Date=as.Date(News[,1]);Day=News[,2];Temp=News[,3];Prec=News[,4];
Et0=News[,5];re=News[,6]

#counting days
iter <- max(Day) 
#re <- re/365 #Annual re to daily
#Defaults
i <- rep(0,iter) #input only on day 100, spring ploughing, next line
i[100] <- 1.0; h <- rep(0.125,iter);kY <- rep(0.8/365,iter)  
kO <- rep(0.00605/365,iter)  
Y0 <- 0.25; O0 <- 4.16 #Initial values state variables
Y <- rep(0,iter); O <- rep(0,iter)
Tot <- rep(0,iter)

Y[1]=Y0 #First iter
O[1]=O0
Tot[1]= Y0+O0
#loop after initial day
for (t in 2:iter) {
	Y[t]=(Y[t-1]+i[t-1]-kY[t-1]*re[t]*Y[t-1]);
	if(Y[t]<0) {Y[t]=0};
	O[t]=(O[t-1]+(h[t]*kY[t]*re[t]*Y[t-1])-(kO[t]*re[t]*O[t-1]));
	Tot[t]=Y[t]+O[t];
  #cat(t,Y[t],O[t],Tot[t],"\n");
}
Out <- data.frame(Date,Day,Y,O,Tot,re)
windows(width=6,height=6) # new plot window
par( mfrow = c( 2, 1 ))

plot (Date,Tot,type='l',col='red',ylim=c(0,6),lwd='3', main = bquote(ICBMsim_Tot_O_mass))
#lines (time,Y,type='l',lwd='3',col='blue')
lines (Date,O,type='l',lwd='3',col='black')


plot(Date,re,type='l',lwd='3',col='black',main = bquote("Ult1970_file_daily_re, mean 0.95"))
reMean <- mean(re) 
reMean <- rep(reMean,iter)
lines (Date,reMean,type='l',lwd='3',col='red')





